# `ngClick` (directive in module `ng` )

Improve this doc

## Description

The ngClick allows you to specify custom behavior when element is clicked.

## Usage

as attribute

    <ANY ng-click="{expression}">
       ...
    </ANY>

as class

    <ANY class="ng-click: {expression};">
       ...
    </ANY>

### Parameters

- `ngClick – {expression} –`

  Expression to evaluate upon click. (Event object is available as `$event`)

## Example

#### Source

#### Demo